RPTools.net

Discussion and Support

Skip to content

It is currently Thu Nov 23, 2017 1:42 pm 




Forum rules


Posting now open to all registered forum users.



Reply to topic  [ 8 posts ] 

Previous topic | Next topic 

  Print view

Author Message
User avatar  Offline
Giant
 
Joined: Wed Sep 06, 2006 1:42 pm
Posts: 104
Location: Netherlands
 Post subject: Can I use my maps from version 1.4.0.0 in version 1.4.0.5
PostPosted: Sun Dec 18, 2016 2:44 am 
Q1: in titel
Q2: and can i go back to 1.4.0.0 if i encounter errors in 1.4.0.5 and made changes in the map


Top
 Profile  
 
User avatar  Offline
Great Wyrm
 
Joined: Mon May 10, 2010 11:59 am
Posts: 1706
Location: Chicagoland
 Post subject: Re: Can I use my maps from version 1.4.0.0 in version 1.4.0.
PostPosted: Sun Dec 18, 2016 12:27 pm 
1, Yes. And 2, no*. Good practice to create a test campaign and save it, then open in a previous version to make sure it works. I believe there were some Drawing object changes in 1.4.0.5 which breaks it.

*However, if you run into a "ZOMG oop" moment, if 1.4.1.7 dev version, there is a Export -> Campaign As option 1.4.0.1 menu option. Which also lets you play with the dev version but still go back if you need to... You could load 1.4.0.5 into 1.4.1.7 then save back to 1.4.0.1.

_________________
-Jamz
____________________
Custom MapTool 1.4.x.x Fork: maptool.nerps.net
More information here: MapTool Nerps! Fork | TokenTool Nerps! Fork
Custom TokenTool (version 1.0b33): TokenTool.exe


Top
 Profile  
 
User avatar  Offline
Giant
 
Joined: Wed Sep 06, 2006 1:42 pm
Posts: 104
Location: Netherlands
 Post subject: Re: Can I use my maps from version 1.4.0.0 in version 1.4.0.
PostPosted: Sun Dec 18, 2016 1:31 pm 
OK.

Should i a) uninstall the previous version and b) use the reg cleaning tool before installing a new version?


Top
 Profile  
 
User avatar  Offline
Great Wyrm
 
Joined: Mon May 10, 2010 11:59 am
Posts: 1706
Location: Chicagoland
 Post subject: Re: Can I use my maps from version 1.4.0.0 in version 1.4.0.
PostPosted: Mon Dec 19, 2016 11:42 am 
It depends. For versions 1.4.0.5 and earlier, there is no uninstall really, just folders with the jars & libs (you can just delete them). The registry is really just a few preferences and can be kept.

For 1.4.1.x you can install over previous 1.4.1.x versions but if you want to go to a earlier 1.4.1.x version you should uninstall it first (there is an uninstall shortcut in the start menu).

You should be able to run 1.4.1.x versions along side 1.4.0.x versions.

_________________
-Jamz
____________________
Custom MapTool 1.4.x.x Fork: maptool.nerps.net
More information here: MapTool Nerps! Fork | TokenTool Nerps! Fork
Custom TokenTool (version 1.0b33): TokenTool.exe


Top
 Profile  
 
User avatar  Offline
Giant
 
Joined: Wed Sep 06, 2006 1:42 pm
Posts: 104
Location: Netherlands
 Post subject: Re: Can I use my maps from version 1.4.0.0 in version 1.4.0.
PostPosted: Mon Jan 16, 2017 1:22 pm 
I'm going to make some large maps which i will be using for awhile. I have some (additional) questions:
I just installed Java 64 bit and want to have the best performance/memory usage.

1) Should i use 1.4.0.5 or 1.4.1.7? I'm using it on a laptop running a server and a client (player view on a separate monitor). I wont be using macro's or other fancy stuff, only VBL lines.
2) What (memory) setup should i use in the launcher or just use default?
3) It looks like i can use maps from 1.4.0.0. in 1.4.0.5 (as answered before) Should i expect problems with maps from 0.5 in 1.7?
thx


Top
 Profile  
 
User avatar  Offline
Deity
 
Joined: Fri Mar 20, 2009 4:40 am
Posts: 9420
Location: Netherlands
 Post subject: Re: Can I use my maps from version 1.4.0.0 in version 1.4.0.
PostPosted: Mon Jan 16, 2017 2:51 pm 
I would suggest to use version 1.7 but keep in minde that you can move from 0.5 to 1.7 but not the other way round.
2 memory settings depend a bit on your rig but if you have a 'modern' system then I would suggest something like
2048
default
4

no you should not expect any problems, save maybe a newly introduced bug so keep a 0.5 copy around.

_________________
GETTING STARTED WITH MAPTOOLS - TUTORIALS, DOCS, VIDEOS, TOOLS, ETC

My stuff
Excel Tools: Table and Light editors
MT Tools: Bag of Tricks: Tools for Maptool, Dungeon Builder I, Dungeon Builder II,onMouseOverEvent and
DPI.
Frameworks: Dark Heresy, Rogue Trader, Deathwatch, Black Crusade, Only War, SET Card Game, RoboRally
Wiki: Debugging Tutorial, Speed Up Your Macros, Working With Two CODE Levels, Shortcut Keys, Avoiding Stack Overflow, READ THIS


Top
 Profile  
 
User avatar  Offline
Giant
 
Joined: Wed Sep 06, 2006 1:42 pm
Posts: 104
Location: Netherlands
 Post subject: Re: Can I use my maps from version 1.4.0.0 in version 1.4.0.
PostPosted: Tue Jan 17, 2017 1:15 am 
Thank you, my fellow Dutchman ;-)


Top
 Profile  
 
User avatar  Offline
Deity
 
Joined: Fri Mar 20, 2009 4:40 am
Posts: 9420
Location: Netherlands
 Post subject: Re: Can I use my maps from version 1.4.0.0 in version 1.4.0.
PostPosted: Tue Jan 17, 2017 3:04 am 
dmmelkor wrote:
Thank you, my fellow Dutchman ;-)

grappig, was me helemaal niet opgevallen!

_________________
GETTING STARTED WITH MAPTOOLS - TUTORIALS, DOCS, VIDEOS, TOOLS, ETC

My stuff
Excel Tools: Table and Light editors
MT Tools: Bag of Tricks: Tools for Maptool, Dungeon Builder I, Dungeon Builder II,onMouseOverEvent and
DPI.
Frameworks: Dark Heresy, Rogue Trader, Deathwatch, Black Crusade, Only War, SET Card Game, RoboRally
Wiki: Debugging Tutorial, Speed Up Your Macros, Working With Two CODE Levels, Shortcut Keys, Avoiding Stack Overflow, READ THIS


Top
 Profile  
 
Display posts from previous:  Sort by  
Reply to topic  [ 8 posts ] 

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:

Who is online

In total there are 2 users online :: 0 registered, 0 hidden and 2 guests (based on users active over the past 5 minutes)
Most users ever online was 243 on Sun Nov 04, 2012 6:14 am

Users browsing this forum: No registered users and 2 guests





Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group

Style based on Andreas08 by Andreas Viklund

Style by Elizabeth Shulman